Bug 642591 - JON241: [apache] duplicate vhosts discovered after SNMP is enabled
JON241: [apache] duplicate vhosts discovered after SNMP is enabled
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: jon241-bugs 642598 642603 643563
  Show dependency treegraph
 
Reported: 2010-10-13 08:04 EDT by Lukas Krejci
Modified: 2011-05-23 21:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:09:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2010-10-13 08:04:30 EDT
Description of problem:
If SNMP is configured after the apache instance is discovered, duplicate vhosts appear under it after discovery is run.

Version-Release number of selected component (if applicable):
3.0.0

How reproducible:
always

Steps to Reproduce:
1. Have an apache instance with SNMP module not configured
2. Inventory that instance into RHQ
3. Configure the SNMP module in apache, change the connection properties of the resource to the enable SNMP
  
Actual results:
A duplicate vhost appears for each of the original vhosts

Expected results:
No duplicities should be discovered.

Additional info:
Comment 1 Charles Crouch 2010-11-02 01:48:44 EDT
This appears to have gone into the release-3.0 branch so should be testable in
JON2.4.1

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=58db325cb1ae56114309c43b492d10ac6ab44139
Comment 2 Sunil Kondkar 2010-11-15 04:23:05 EST
Verified on Build #23 (jon241-release/23)

1. Installed apache 2.2.17. Configured snmp module in apache
(Followed instructions from 'http://www.rhq-project.org/display/JOPR2/Apache+2.x+SNMP+Config')

2. Commented below lines in config file:

#LoadModule snmpcommon_module modules/libsnmpcommon.so
#LoadModule snmpagt_module modules/libsnmpmonagt.so

#SNMPConf conf
#SNMPVar var

3. Included virtual host in config file.

4. Started apache:
[root@sunillaptop apache2]# /usr/local/apache2/bin/apachectl -k start
[root@sunillaptop apache2]# netstat -na | grep 1610
[root@sunillaptop apache2]#

5. Inventoried apache instance into RHQ. Virtual host is discovered. 

The Connection properties display below:

SNMP Agent Host  127.0.0.1
SNMP Agent Port  1610
SNMP Agent Community  public

6. Configured the SNMP module in apache:
(Removed comments from below lines:

LoadModule snmpcommon_module modules/libsnmpcommon.so
LoadModule snmpagt_module modules/libsnmpmonagt.so

SNMPConf conf
SNMPVar var)

7. Restarted apache:

[root@sunillaptop apache2]# /usr/local/apache2/bin/apachectl -k restart
[root@sunillaptop apache2]# netstat -na | grep 1610
udp        0      0 0.0.0.0:1610                0.0.0.0:*


No duplicate vhosts are discovered.
Comment 3 Corey Welton 2011-05-23 21:09:56 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.